# Uses of Enum
org.apache.zookeeper.server.quorum.QuorumPeer.ServerState

Packages that use QuorumPeer.ServerState
Package
Description
org.apache.zookeeper.server.quorum

## Uses of QuorumPeer.ServerState in org.apache.zookeeper.server.quorum

Subclasses with type arguments of type QuorumPeer.ServerState in org.apache.zookeeper.server.quorum
Modifier and Type
Class
Description
`static enum`
`QuorumPeer.ServerState`
Methods in org.apache.zookeeper.server.quorum that return QuorumPeer.ServerState
Modifier and Type
Method
Description
`QuorumPeer.ServerState`
QuorumPeer.`getPeerState()`
`QuorumPeer.ServerState`
Vote.`getState()`
`static QuorumPeer.ServerState`
QuorumPeer.ServerState.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static QuorumPeer.ServerState[]`
QuorumPeer.ServerState.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.zookeeper.server.quorum with parameters of type QuorumPeer.ServerState
Modifier and Type
Method
Description
`void`
QuorumPeer.`setPeerState(QuorumPeer.ServerState newState)`
Constructors in org.apache.zookeeper.server.quorum with parameters of type QuorumPeer.ServerState
Modifier
Constructor
Description
``
`Vote(int version, long id, long zxid, long electionEpoch, long peerEpoch, QuorumPeer.ServerState state)`
``
`Vote(long id, long zxid, long electionEpoch, long peerEpoch, QuorumPeer.ServerState state)`